Bug 1275591 - RFE: refuse *explicit* screen-lock-request if some native console shell is logged-in
RFE: refuse *explicit* screen-lock-request if some native console shell is lo...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 05:48 EDT by Pavel Raiskup
Modified: 2016-11-24 08:05 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 08:05:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Raiskup 2015-10-27 05:48:32 EDT
.. and throw an ugly warning instead!  It happens from time to time that user
has to switch to native console (CTRL-ALT-F{2..6}) to fix/kill something.

Any such login shell (not explicitly logged-out) might there survive for
ages and become to be an open door for attacks.
Comment 1 Pavel Raiskup 2015-10-27 05:50:40 EDT
Or please provide this function at least as an optional feature.

$ rpm -qf /usr/libexec/kscreenlocker_greet
plasma-workspace-5.4.2-4.fc23.x86_64
Comment 2 Rex Dieter 2015-10-29 15:09:03 EDT
Maybe a good feature request for upstream @ bugs.kde.org

We in fedora will likely not be able to implement this as-is
Comment 3 Fedora End Of Life 2016-11-24 07:56:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Pavel Raiskup 2016-11-24 08:05:42 EST
https://bugs.kde.org/show_bug.cgi?id=372883

Note You need to log in before you can comment on or make changes to this bug.